/** progress bar **/

.ckmeter {
  box-sizing: content-box;
  height: 20px; /* Can be anything */
  position: relative;
  margin: 60px 0 20px 0; /* Just for demo spacing */
  background: #555;
  border-radius: 25px;
  padding: 10px;
  box-shadow: inset 0 -1px 1px rgba(255, 255, 255, 0.3);
}
.ckmeter > span {
  display: block;
  height: 100%;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  background-color: rgb(43, 194, 83);
  background-image: linear-gradient(
    center bottom,
    rgb(43, 194, 83) 37%,
    rgb(84, 240, 84) 69%
  );
  box-shadow: inset 0 2px 9px rgba(255, 255, 255, 0.3),
    inset 0 -2px 6px rgba(0, 0, 0, 0.4);
  position: relative;
  overflow: hidden;
}
.ckmeter > span:after,
.ckmeter-animate > span > span {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-image: linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0.2) 25%,
    transparent 25%,
    transparent 50%,
    rgba(255, 255, 255, 0.2) 50%,
    rgba(255, 255, 255, 0.2) 75%,
    transparent 75%,
    transparent
  );
  z-index: 1;
  background-size: 50px 50px;
  animation: move 2s linear infinite;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  overflow: hidden;
}

.ckmeter-animate > span:after {
  display: none;
}

@keyframes move {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 50px 50px;
  }
}

.coral > span {
  background-image: linear-gradient(#f1a165, #f36d0a);
}

.red > span {
  background-image: linear-gradient(#f0a3a3, #f42323);
}

.nostripes > span > span,
.nostripes > span::after {
  background-image: none;
}





#cookiesckwizard, #cookiesckwizard * {
	box-sizing: border-box;
}

#cookiesckwizard {
	padding: 10px;
}

.control-label:empty {
	display: none;
}

.control-label:empty + .controls {
	margin: 0;
}

.cookiescklist-category {
	border: 2px solid violet;
	border-radius: 6px;
	margin-bottom: 10px;
}

.cookiesck-control {
	display: inline-block;
	background: #666;
	border: 2px solid #666;
	color: #fff;
	margin: 3px;
	height: 40px;
	padding: 10px 15px;
	border-radius: 4px;
	cursor: pointer;
	transition: all 0.2s;
	text-transform: uppercase;
}

.cookiesck-control:hover {
	background: none;
	color: #666;
}

.cookiesck-control[class*="cookiescklist-category"] {
	background: violet;
	border: 2px solid violet;
	color: #fff;
	box-sizing: border-box;
	margin-left: 10px;
}


.cookiesck-control[class*="cookiescklist-category"]:hover {
	background: none;
	color: violet;
}

.cookiesck-control[class*="cookiescklist-platform"] {
	background: coral;
	border: 2px solid coral;
	color: #fff;
}


.cookiesck-control[class*="cookiescklist-platform"]:hover {
	background: none;
	color: coral;
}

.cookiesck-control.cookiescklist-save {
	background: green;
	border: 2px solid green;
	color: #fff;
	display: none;
}

.cookiesck-control.cookiescklist-save:hover {
	background: none;
	color: green;
}

.cookiescklist-platform {
	border: 2px solid coral;
	margin: 10px;
	border-radius: 6px;
}


.cookiescklist-item {
	display: flex;
	border: 1px solid #ccc;
	margin: 10px;
	border-radius: 4px;
}

.cookiescklist-item > div {
	padding: 10px;
}

#cookiesckwizard [data-label]:before {
	display: inline-block;
	content: attr(data-label);
	margin-right: 10px;
	margin-left: 10px;
	color: gray;
	font-style: italic;
	font-size: 12px;
}

.cookiescklist-category-name,
.cookiescklist-platform-name {
	font-size: 16px;
	color: #111;
}

[data-category = "essential" i] .cookiesck-dropdown,
.cookiesck-dropdown + .cookiesck-dropdown {
	display: none;
}

